Package groovy.json

# Class JsonToken

java.lang.Object
groovy.json.JsonToken

    public class JsonToken
    extends java.lang.Object

A JSON token, with a type, line / column information, and the text of that token.

Since:
  1.8.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `JsonToken()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getEndColumn()` |
  `long` | `getEndLine()` |
  `long` | `getStartColumn()` |
  `long` | `getStartLine()` |
  `java.lang.String` | `getText()` |
  `JsonTokenType` | `getType()` |
  `java.lang.Object` | `getValue()` | Return the value represented by this token (ie.
  `void` | `setEndColumn​(long endColumn)` |
  `void` | `setEndLine​(long endLine)` |
  `void` | `setStartColumn​(long startColumn)` |
  `void` | `setStartLine​(long startLine)` |
  `void` | `setText​(java.lang.String text)` |
  `void` | `setType​(JsonTokenType type)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JsonToken

    public JsonToken()

- ## Method Details

  - ### getValue

    public java.lang.Object getValue()
    Return the value represented by this token (ie. a number, a string, a boolean or null). For numbers, BigDecimal is returned for decimals and Integer, Long or BigInteger for integral numbers.
    Returns:
      the represented value

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getStartLine

    public long getStartLine()

  - ### setStartLine

    public void setStartLine​(long startLine)

  - ### getEndLine

    public long getEndLine()

  - ### setEndLine

    public void setEndLine​(long endLine)

  - ### getStartColumn

    public long getStartColumn()

  - ### setStartColumn

    public void setStartColumn​(long startColumn)

  - ### getEndColumn

    public long getEndColumn()

  - ### setEndColumn

    public void setEndColumn​(long endColumn)

  - ### getType

    public JsonTokenType getType()

  - ### setType

    public void setType​(JsonTokenType type)

  - ### setText

    public void setText​(java.lang.String text)

  - ### getText

    public java.lang.String getText()